import { IBaseActionViewItemOptions } from '../actionbar/actionViewItems.js';
import { IActionViewItemProvider } from '../actionbar/actionbar.js';
import { AnchorAlignment } from '../contextview/contextview.js';
import { IActionRunner, IAction } from '../../../common/actions.js';
import { ResolvedKeybinding } from '../../../common/keybindings.js';

interface IKeybindingProvider {
    (action: IAction): ResolvedKeybinding | undefined;
}
interface IAnchorAlignmentProvider {
    (): AnchorAlignment;
}
interface IDropdownMenuActionViewItemOptions extends IBaseActionViewItemOptions {
    readonly actionViewItemProvider?: IActionViewItemProvider;
    readonly keybindingProvider?: IKeybindingProvider;
    readonly actionRunner?: IActionRunner;
    readonly classNames?: string[] | string;
    readonly anchorAlignmentProvider?: IAnchorAlignmentProvider;
    readonly menuAsChild?: boolean;
    readonly skipTelemetry?: boolean;
}

export type { IAnchorAlignmentProvider, IDropdownMenuActionViewItemOptions, IKeybindingProvider };
