import { IEditorIdentifier } from '../../../common/editor.js';
import { Event } from '../../../../base/common/event.js';
import { IEditorService } from '../../../services/editor/common/editorService.js';

/**
 * A sub-interface of IEditorService to hide some workbench-core specific
 * events from clients.
 */
interface EditorServiceImpl extends IEditorService {
    /**
     * Emitted when an editor failed to open.
     */
    readonly onDidOpenEditorFail: Event<IEditorIdentifier>;
    /**
     * Emitted when the list of most recently active editors change.
     */
    readonly onDidMostRecentlyActiveEditorsChange: Event<void>;
}

export type { EditorServiceImpl };
