import { Codicon } from '../../../../base/common/codicons.js';
import { localizeWithPath } from '../../../../nls.js';
import { registerIcon } from '../../../../platform/theme/common/iconRegistry.js';
const selectKernelIcon = registerIcon('notebook-kernel-select', Codicon.serverEnvironment, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'selectKernelIcon',
 'Configure icon to select a kernel in notebook editors.'
)));
const executeIcon = registerIcon('notebook-execute', Codicon.play, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'executeIcon',
 'Icon to execute in notebook editors.'
)));
const executeAboveIcon = registerIcon('notebook-execute-above', Codicon.runAbove, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'executeAboveIcon',
 'Icon to execute above cells in notebook editors.'
)));
const executeBelowIcon = registerIcon('notebook-execute-below', Codicon.runBelow, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'executeBelowIcon',
 'Icon to execute below cells in notebook editors.'
)));
const stopIcon = registerIcon('notebook-stop', Codicon.primitiveSquare, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'stopIcon',
 'Icon to stop an execution in notebook editors.'
)));
const deleteCellIcon = registerIcon('notebook-delete-cell', Codicon.trash, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'deleteCellIcon',
 'Icon to delete a cell in notebook editors.'
)));
const executeAllIcon = registerIcon('notebook-execute-all', Codicon.runAll, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'executeAllIcon',
 'Icon to execute all cells in notebook editors.'
)));
const editIcon = registerIcon('notebook-edit', Codicon.pencil, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'editIcon',
 'Icon to edit a cell in notebook editors.'
)));
const stopEditIcon = registerIcon('notebook-stop-edit', Codicon.check, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'stopEditIcon',
 'Icon to stop editing a cell in notebook editors.'
)));
const moveUpIcon = registerIcon('notebook-move-up', Codicon.arrowUp, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'moveUpIcon',
 'Icon to move up a cell in notebook editors.'
)));
const moveDownIcon = registerIcon('notebook-move-down', Codicon.arrowDown, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'moveDownIcon',
 'Icon to move down a cell in notebook editors.'
)));
const clearIcon = registerIcon('notebook-clear', Codicon.clearAll, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'clearIcon',
 'Icon to clear cell outputs in notebook editors.'
)));
const splitCellIcon = registerIcon('notebook-split-cell', Codicon.splitVertical, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'splitCellIcon',
 'Icon to split a cell in notebook editors.'
)));
const successStateIcon = registerIcon('notebook-state-success', Codicon.check, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'successStateIcon',
 'Icon to indicate a success state in notebook editors.'
)));
const errorStateIcon = registerIcon('notebook-state-error', Codicon.error, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'errorStateIcon',
 'Icon to indicate an error state in notebook editors.'
)));
const pendingStateIcon = registerIcon('notebook-state-pending', Codicon.clock, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'pendingStateIcon',
 'Icon to indicate a pending state in notebook editors.'
)));
const executingStateIcon = registerIcon('notebook-state-executing', Codicon.sync, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'executingStateIcon',
 'Icon to indicate an executing state in notebook editors.'
)));
const collapsedIcon = registerIcon('notebook-collapsed', Codicon.chevronRight, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'collapsedIcon',
 'Icon to annotate a collapsed section in notebook editors.'
)));
const expandedIcon = registerIcon('notebook-expanded', Codicon.chevronDown, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'expandedIcon',
 'Icon to annotate an expanded section in notebook editors.'
)));
const openAsTextIcon = registerIcon('notebook-open-as-text', Codicon.fileCode, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'openAsTextIcon',
 'Icon to open the notebook in a text editor.'
)));
const revertIcon = registerIcon('notebook-revert', Codicon.discard, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'revertIcon',
 'Icon to revert in notebook editors.'
)));
const renderOutputIcon = registerIcon('notebook-render-output', Codicon.preview, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'renderOutputIcon',
 'Icon to render output in diff editor.'
)));
const mimetypeIcon = registerIcon('notebook-mimetype', Codicon.code, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'mimetypeIcon',
 'Icon for a mime type in notebook editors.'
)));
const copyIcon = registerIcon('notebook-copy', Codicon.copy, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'copyIcon',
 'Icon to copy content to clipboard'
)));
const previousChangeIcon = registerIcon('notebook-diff-editor-previous-change', Codicon.arrowUp, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'previousChangeIcon',
 'Icon for the previous change action in the diff editor.'
)));
const nextChangeIcon = registerIcon('notebook-diff-editor-next-change', Codicon.arrowDown, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'nextChangeIcon',
 'Icon for the next change action in the diff editor.'
)));
const variablesViewIcon = registerIcon('variables-view-icon', Codicon.debugAlt, ( localizeWithPath(
 'vs/workbench/contrib/notebook/browser/notebookIcons',
 'variablesViewIcon',
 'View icon of the variables view.'
)));
export { clearIcon, collapsedIcon, copyIcon, deleteCellIcon, editIcon, errorStateIcon, executeAboveIcon, executeAllIcon, executeBelowIcon, executeIcon, executingStateIcon, expandedIcon, mimetypeIcon, moveDownIcon, moveUpIcon, nextChangeIcon, openAsTextIcon, pendingStateIcon, previousChangeIcon, renderOutputIcon, revertIcon, selectKernelIcon, splitCellIcon, stopEditIcon, stopIcon, successStateIcon, variablesViewIcon };
