import { localizeWithPath } from '../../../../nls.js';
function applyDeprecatedVariableMessage(schema) {
    schema.pattern = schema.pattern || '^(?!.*\\$\\{(env|config|command)\\.)';
    schema.patternErrorMessage = schema.patternErrorMessage ||
        ( localizeWithPath(
         'vs/workbench/services/configurationResolver/common/configurationResolverUtils',
         'deprecatedVariables',
         "'env.', 'config.' and 'command.' are deprecated, use 'env:', 'config:' and 'command:' instead."
        ));
}
export { applyDeprecatedVariableMessage };
