import { ServiceIdentifier, IInstantiationService } from '../../../../platform/instantiation/common/instantiation.js';

interface IUserDataInitializer {
    requiresInitialization(): Promise<boolean>;
    whenInitializationFinished(): Promise<void>;
    initializeRequiredResources(): Promise<void>;
    initializeInstalledExtensions(instantiationService: IInstantiationService): Promise<void>;
    initializeOtherResources(instantiationService: IInstantiationService): Promise<void>;
}
declare const IUserDataInitializationService: ServiceIdentifier<IUserDataInitializationService>;
interface IUserDataInitializationService extends IUserDataInitializer {
    _serviceBrand: any;
}

export { IUserDataInitializationService, type IUserDataInitializer };
